<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesMedicamento.home.createOrEditLabel"
          data-cy="MedicamentoCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesMedicamento.home.createOrEditLabel')"
        >
          Create or edit a Medicamento
        </h2>
        <div>
          <div class="form-group" v-if="medicamento.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="medicamento.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesMedicamento.nombre')" for="medicamento-nombre">Nombre</label>
            <input
              type="text"
              class="form-control"
              name="nombre"
              id="medicamento-nombre"
              data-cy="nombre"
              :class="{ valid: !$v.medicamento.nombre.$invalid, invalid: $v.medicamento.nombre.$invalid }"
              v-model="$v.medicamento.nombre.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesMedicamento.descripcion')" for="medicamento-descripcion"
              >Descripcion</label
            >
            <textarea
              class="form-control"
              name="descripcion"
              id="medicamento-descripcion"
              data-cy="descripcion"
              :class="{ valid: !$v.medicamento.descripcion.$invalid, invalid: $v.medicamento.descripcion.$invalid }"
              v-model="$v.medicamento.descripcion.$model"
            ></textarea>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesMedicamento.fechaIngreso')" for="medicamento-fechaIngreso"
              >Fecha Ingreso</label
            >
            <div class="d-flex">
              <input
                id="medicamento-fechaIngreso"
                data-cy="fechaIngreso"
                type="datetime-local"
                class="form-control"
                name="fechaIngreso"
                :class="{ valid: !$v.medicamento.fechaIngreso.$invalid, invalid: $v.medicamento.fechaIngreso.$invalid }"
                :value="convertDateTimeFromServer($v.medicamento.fechaIngreso.$model)"
                @change="updateInstantField('fechaIngreso', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesMedicamento.presentacion')" for="medicamento-presentacion"
              >Presentacion</label
            >
            <select
              class="form-control"
              name="presentacion"
              :class="{ valid: !$v.medicamento.presentacion.$invalid, invalid: $v.medicamento.presentacion.$invalid }"
              v-model="$v.medicamento.presentacion.$model"
              id="medicamento-presentacion"
              data-cy="presentacion"
            >
              <option
                v-for="presentacion in presentacionValues"
                :key="presentacion"
                v-bind:value="presentacion"
                v-bind:label="$t('gatewayApp.Presentacion.' + presentacion)"
              >
                {{ presentacion }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesMedicamento.generico')" for="medicamento-generico"
              >Generico</label
            >
            <textarea
              class="form-control"
              name="generico"
              id="medicamento-generico"
              data-cy="generico"
              :class="{ valid: !$v.medicamento.generico.$invalid, invalid: $v.medicamento.generico.$invalid }"
              v-model="$v.medicamento.generico.$model"
            ></textarea>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.medicamento.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./medicamento-update.component.ts"></script>
